Bug 1292942 - [abrt] nautilus: nautilus_window_slot_get_allow_stop(): nautilus killed by SIGSEGV
[abrt] nautilus: nautilus_window_slot_get_allow_stop(): nautilus killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0950feaf0f189e98a64292379cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 14:22 EST by Ferry Huberts
Modified: 2016-12-20 12:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.50 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: core_backtrace (16.47 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: dso_list (19.21 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: environ (2.09 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: maps (88.73 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: mountinfo (3.64 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: open_fds (3.46 KB, text/plain)
2015-12-18 14:22 EST, Ferry Huberts
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-12-18 14:23 EST, Ferry Huberts
no flags Details
File: var_log_messages (547 bytes, text/plain)
2015-12-18 14:23 EST, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2015-12-18 14:22:37 EST
Version-Release number of selected component:
nautilus-3.18.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
global_pid:     10101
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nautilus_window_slot_get_allow_stop at nautilus-window-slot.c:2508
 #1 update_cursor at nautilus-window.c:754
 #2 nautilus_window_sync_allow_stop at nautilus-window.c:796
 #3 end_location_change at nautilus-window-slot.c:1510
 #4 view_ended_loading at nautilus-window-slot.c:2083
 #5 view_is_loading_changed_cb at nautilus-window-slot.c:2110
 #11 g_object_notify_by_spec_internal at gobject.c:1154
 #12 g_object_notify at gobject.c:1202
 #13 done_loading at nautilus-files-view.c:3169
 #15 nautilus_files_view_stop_loading at nautilus-files-view.c:7200

Potential duplicate: bug 987764
Comment 1 Ferry Huberts 2015-12-18 14:22:42 EST
Created attachment 1107369 [details]
File: backtrace
Comment 2 Ferry Huberts 2015-12-18 14:22:44 EST
Created attachment 1107370 [details]
File: cgroup
Comment 3 Ferry Huberts 2015-12-18 14:22:45 EST
Created attachment 1107372 [details]
File: core_backtrace
Comment 4 Ferry Huberts 2015-12-18 14:22:47 EST
Created attachment 1107374 [details]
File: dso_list
Comment 5 Ferry Huberts 2015-12-18 14:22:49 EST
Created attachment 1107376 [details]
File: environ
Comment 6 Ferry Huberts 2015-12-18 14:22:50 EST
Created attachment 1107377 [details]
File: exploitable
Comment 7 Ferry Huberts 2015-12-18 14:22:52 EST
Created attachment 1107379 [details]
File: limits
Comment 8 Ferry Huberts 2015-12-18 14:22:54 EST
Created attachment 1107380 [details]
File: maps
Comment 9 Ferry Huberts 2015-12-18 14:22:55 EST
Created attachment 1107381 [details]
File: mountinfo
Comment 10 Ferry Huberts 2015-12-18 14:22:57 EST
Created attachment 1107382 [details]
File: namespaces
Comment 11 Ferry Huberts 2015-12-18 14:22:58 EST
Created attachment 1107383 [details]
File: open_fds
Comment 12 Ferry Huberts 2015-12-18 14:23:00 EST
Created attachment 1107384 [details]
File: proc_pid_status
Comment 13 Ferry Huberts 2015-12-18 14:23:01 EST
Created attachment 1107385 [details]
File: var_log_messages
Comment 14 Ferry Huberts 2016-01-10 15:15:04 EST
I think what happens here is that the preview of an libre-office file 'hangs' and nautilus can't deal with that
Comment 15 Daniel Seither 2016-03-07 15:36:54 EST
Similar problem has been detected:

I opened gedit, chose "Open" -> "Other documents"  and then typed something into the search box in the open dialog.

This crash might have been triggered by the error message dialog that I got after typing into the search box: 

title: "Could not send the search request"
body: "GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: unknown tokenizer: TrackerTokenizer"

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
global_pid:     12089
kernel:         4.4.3-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Daniel Seither 2016-03-07 15:49:11 EST
The error message that I got was caused by #1312506 [1] and fixed by [2], which is currently in testing. It seems not related to the nautilus crash.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1312506
[2] https://bodhi.fedoraproject.org/updates/FEDORA-2016-9850932586
Comment 17 Fedora End Of Life 2016-11-24 09:21:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:09:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.